Open Babel: OBChiralData Class Reference

Public Member Functions | Protected Attributes | Friends

# OBChiralData Class Reference

Used to hold chiral inforamtion about the atom as OBGenericData. More...

`#include <openbabel/generic.h>`

Inheritance diagram for OBChiralData:

List of all members.

## Public Member Functions
| OBChiralData ()
| OBChiralData (const OBChiralData &src)
virtual OBGenericData * | Clone (OBBase *) const
OBChiralData & | operator= (const OBChiralData &)
| ~OBChiralData ()
void | Clear ()
std::vector< unsigned int > | GetAtom4Refs (atomreftype t) const
unsigned int | GetAtomRef (int a, atomreftype t)
bool | SetAtom4Refs (std::vector< unsigned int > atom4refs, atomreftype t)
int | AddAtomRef (unsigned int atomref, atomreftype t)
unsigned int | GetSize (atomreftype t) const
void | SetAttribute (const std::string &v)
void | SetOrigin (const DataOrigin s)
virtual const std::string & | GetAttribute () const
unsigned int | GetDataType () const
virtual const std::string & | GetValue () const
virtual DataOrigin | GetOrigin () const
## Protected Attributes
std::vector< unsigned int > | _atom4refs
std::vector< unsigned int > | _atom4refo
std::vector< unsigned int > | _atom4refc
int | parity
std::string | _attr
unsigned int | _type
DataOrigin | _source
## Friends
class | OBMol
class | OBAtom

## Detailed Description

Used to hold chiral inforamtion about the atom as OBGenericData.

Deprecated:
  Used OBStereoFacade instead

## Constructor & Destructor Documentation

OBChiralData | ( | ) |

OBChiralData | ( | const OBChiralData & | src ) |

~OBChiralData | ( | ) | `[inline]`

## Member Function Documentation

virtual OBGenericData* Clone | ( | OBBase * | ) | const`[inline, virtual]`

Reimplemented from OBGenericData.

Referenced by OBMol::operator=().

OBChiralData & operator= | ( | const OBChiralData & | src ) |

void Clear | ( | void | ) |

std::vector< unsigned int > GetAtom4Refs | ( | atomreftype | t ) | const

Returns:
  a vector of all 4 atom references of type `t`

Referenced by OpenBabel::CorrectChirality().

unsigned int GetAtomRef | ( | int | a,
|  | atomreftype | t
| ) |  |

Returns:
  the atom reference specified by `a` of type `t`

Referenced by OBMol::GetNextFragment().

bool SetAtom4Refs | ( | std::vector< unsigned int > | atom4refs,
|  | atomreftype | t
| ) |  |

Referenced by OpenBabel::CalcSignedVolume().

int AddAtomRef | ( | unsigned int | atomref,
|  | atomreftype | t
| ) |  |

Referenced by OBMol::GetNextFragment().

unsigned int GetSize | ( | atomreftype | t ) | const

Returns:
  the size of the atom references of a given type `t`

Referenced by OBMol::GetNextFragment().

void SetAttribute | ( | const std::string & | v ) | `[inline, inherited]`

Set the attribute (key), which can be used to retrieve this data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBForceField::GetAtomTypes(), OBMol::GetFormula(), OBMol::GetLSSR(), OBForceField::GetPartialCharges(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

void SetOrigin | ( | const DataOrigin | s ) | `[inline, inherited]`

Set the origin of this data, which can be used to filter the data.

Referenced by OBGastChrg::AssignPartialCharges(), OpenBabel::CalcSignedVolume(), OBMol::FindAngles(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBMol::FindTorsions(), OBMol::GetFormula(), OBMol::GetLSSR(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

virtual const std::string& GetAttribute | ( | ) | const`[inline, virtual, inherited]`

Returns:
  The attribute (key), which can be used to retrieve this data

Referenced by OBMoleculeFormat::MakeCombinedMolecule().

unsigned int GetDataType | ( | ) | const`[inline, inherited]`

Returns:
  the data type for this object as defined in OBGenericDataType

virtual const std::string& GetValue | ( | ) | const`[inline, virtual, inherited]`

Base class returns a default value (the attribute type) but should never be called.

Reimplemented in OBCommentData, and OBPairData.

Referenced by OBDepict::DrawMolecule(), OBDescriptor::FilterCompare(), and OBDescriptor::GetValues().

virtual DataOrigin GetOrigin | ( | ) | const`[inline, virtual, inherited]`

## Friends And Related Function Documentation

friend class OBMol`[friend]`

friend class OBAtom`[friend]`

## Member Data Documentation

std::vector<unsigned int> _atom4refs`[protected]`

input atom references

Referenced by OBChiralData::AddAtomRef(), OBChiralData::Clear(), OBChiralData::GetAtom4Refs(), OBChiralData::GetAtomRef(), OBChiralData::GetSize(), OBChiralData::OBChiralData(), OBChiralData::operator=(), and OBChiralData::SetAtom4Refs().

std::vector<unsigned int> _atom4refo`[protected]`

output atom references

Referenced by OBChiralData::AddAtomRef(), OBChiralData::Clear(), OBChiralData::GetAtom4Refs(), OBChiralData::GetAtomRef(), OBChiralData::GetSize(), OBChiralData::OBChiralData(), OBChiralData::operator=(), and OBChiralData::SetAtom4Refs().

std::vector<unsigned int> _atom4refc`[protected]`

calcvolume references

Referenced by OBChiralData::AddAtomRef(), OBChiralData::Clear(), OBChiralData::GetAtom4Refs(), OBChiralData::GetAtomRef(), OBChiralData::GetSize(), OBChiralData::OBChiralData(), OBChiralData::operator=(), and OBChiralData::SetAtom4Refs().

int parity`[protected]`

The parity of the vector (of length 4) 1234 returns 0, 1243 returns 1

Referenced by OBChiralData::Clear(), OBChiralData::OBChiralData(), and OBChiralData::operator=().

std::string _attr`[protected, inherited]`

attribute tag (e.g., "UnitCell", "Comment" or "Author")

Referenced by OBRotamerList::Clone(), and OBNasaThermoData::OBNasaThermoData().

unsigned int _type`[protected, inherited]`

attribute type -- declared for each subclass

Referenced by OBRotamerList::Clone(), and OBNasaThermoData::OBNasaThermoData().

DataOrigin _source`[protected, inherited]`

source of data for accounting

Referenced by OBChiralData::operator=(), OBTorsionData::operator=(), OBAngleData::operator=(), OBConformerData::operator=(), and OBSymmetryData::operator=().

The documentation for this class was generated from the following files:

- generic.h
- generic.cpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines